summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile2
-rw-r--r--NEWS11
-rw-r--r--config/netcfg2
-rwxr-xr-xscripts/netcfg-daemon5
4 files changed, 15 insertions, 5 deletions
diff --git a/Makefile b/Makefile
index ddddbe8..7ab32ea 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-export VERSION = 2.7.3
+export VERSION = 2.8.0
.PHONY: install install-wireless install-docs docs tarball pkgbuild upload clean
diff --git a/NEWS b/NEWS
index b2e99da..8a135ce 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,14 @@
+version 2.8.0
+- end support for wireless-dbus and ethernet-iproute syntax
+ use wireless and ethernet instead
+- end support for configuration in /etc/rc.conf
+ use /etc/conf.d/netcfg instead
+- add sample script demonstrating firewall location handling (FS#26380)
+- drop implicit dependency on initscripts
+- add systemd service file for profiles (netcfg@<profile>.service)
+- add systemd service file for NETWORKS array in /etc/conf.d/netcfg (netcfg.service)
+- assorted fixes (FS#20569, FS#28138, FS#28590, FS#28683)
+
version 2.7.3
- fix dhcpcd to not remove/re-acquire a lease unnecessarily
- fix sysctl parameters for interfaces with vlans (FS#26259)
diff --git a/config/netcfg b/config/netcfg
index 9bee668..f56272a 100644
--- a/config/netcfg
+++ b/config/netcfg
@@ -1,6 +1,6 @@
# Enable these netcfg profiles at boot-up.
# - set to 'menu' to present a menu during boot-up (dialog package required)
-# - prefix an entry with a ! to disable it
+# - prefix an entry with a '@' to background its startup
# Network profiles are found in /etc/network.d
#
#NETWORKS=(menu)
diff --git a/scripts/netcfg-daemon b/scripts/netcfg-daemon
index 7a662f6..27bdc18 100755
--- a/scripts/netcfg-daemon
+++ b/scripts/netcfg-daemon
@@ -12,10 +12,9 @@ case "$1" in
. /etc/conf.d/netcfg
[[ ${NETWORKS+x} != x ]] && exit_err "NETWORKS is not set in /etc/conf.d/netcfg"
if [[ ${#NETWORKS[@]} -eq 1 && $NETWORKS = menu ]]; then
- if /usr/bin/netcfg-menu ${NETWORKS_MENU_TIMEOUT-5}; then
+ /usr/bin/netcfg-menu ${NETWORKS_MENU_TIMEOUT-5} && \
mv "$STATE_DIR/menu" "$STATE_FILE"
- fi
- exit 0
+ exit $?
fi
for profile in "${NETWORKS[@]}"; do
if [[ "$profile" = "${profile#@}" ]]; then